[PATCH blktests 13/13] zbd: allow falling back to built-in null_blk

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Use _configure_null_blk to configure the fallback device and thus allow
for a built-in null_blk driver.

Signed-off-by: Christoph Hellwig <hch@xxxxxx>
---
 tests/zbd/rc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/tests/zbd/rc b/tests/zbd/rc
index 9deadc1..fea55d6 100644
--- a/tests/zbd/rc
+++ b/tests/zbd/rc
@@ -13,7 +13,7 @@
 
 group_requires() {
 	_have_root && _have_program blkzone && _have_program dd &&
-		_have_kernel_option BLK_DEV_ZONED && _have_modules null_blk &&
+		_have_kernel_option BLK_DEV_ZONED && _have_null_blk &&
 		_have_module_param null_blk zoned
 }
 
@@ -25,10 +25,11 @@ group_device_requires() {
 }
 
 _fallback_null_blk_zoned() {
-	if ! _init_null_blk zone_size=4 gb=1 zoned=1 ; then
+	if ! _configure_null_blk nullb1 zone_size=4 size=1024 zoned=1 \
+			power=1; then
 		return 1
 	fi
-	echo /dev/nullb0
+	echo /dev/nullb1
 }
 
 #
-- 
2.30.2




[Index of Archives]     [Linux RAID]     [Linux SCSI]     [Linux ATA RAID]     [IDE]     [Linux Wireless]     [Linux Kernel]     [ATH6KL]     [Linux Bluetooth]     [Linux Netdev]     [Kernel Newbies]     [Security]     [Git]     [Netfilter]     [Bugtraq]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Device Mapper]

  Powered by Linux